Welcome to PhantomPilots.com

Sign up for a weekly email of the latest drone news & information

Dji pilot app and apple products

Discussion in 'Pro/Adv Discussion' started by dodgeman3500, Jun 9, 2015.

  1. dodgeman3500

    Joined:
    Jun 8, 2015
    Messages:
    2
    Likes Received:
    0
    I have a p3 ordered I have a iPhone 5c and a iPad.... I went to download the ski pilot app and it says it not compatible.... Wife has a galaxy tablet and it loaded up on it..... Will my apple products be able to be used soon.... Any help would be great
     
  2. Hjones62

    Joined:
    Sep 15, 2013
    Messages:
    240
    Likes Received:
    80
    Location:
    Miami, FL
    @dodgeman3500 I'm using an iPad mini 2 and have no issues. Make sure your software on your apple devices is up to date with the current IOS. I know on my iPad 2 the Pilot app wouldn't download.
     
  3. Julius717

    Joined:
    Sep 24, 2014
    Messages:
    548
    Likes Received:
    248
    Can the 5c handle the app?
     
  4. ViperNuke

    Joined:
    Dec 24, 2014
    Messages:
    318
    Likes Received:
    103
    5C is not supported. Read the manual plz...
     
  5. ViperNuke

    Joined:
    Dec 24, 2014
    Messages:
    318
    Likes Received:
    103
    Straight from DJI P3 specs page.. :


    Recommended Devices
    • iOS: iPhone 5s, iPhone 6, iPhone 6 Plus, iPad Air, iPad Air Wi-Fi + Cellular, iPad mini 2, iPad mini 2 Wi-Fi + Cellular, iPad Air 2, iPad Air 2 Wi-Fi + Cellular, iPad mini 3, and iPad mini 3 Wi-Fi + Cellular. This app is optimized for iPhone 5s, iPhone 6, and iPhone 6 Plus
    • Android: Samsung S5, Note 3, Sony Xperia Z3, Google Nexus 7 II, Google Nexus 9, Mi 3, Nubia Z7 mini
    • *Support for additional Android devices available as testing and development continues
     
    Mike Mauk likes this.
  6. MikeON

    Joined:
    Nov 5, 2013
    Messages:
    277
    Likes Received:
    29
    Location:
    Pennsylvania, USA
    The manual is actually unclear on that point. It says the app is only compatible with devices running iOS 8.0 or later, which could easily include an iPhone 5 or 5c.
    Then it says the iPhone 5s, 6, 6+, etc. are recommended and the app is optimized for them, but does not explicitly say it is incompatible.
    This thread discusses a workaround for older apple devices:
    http://www.phantompilots.com/threads/how-to-install-ios-app-on-older-devices.39985/
     
  7. ViperNuke

    Joined:
    Dec 24, 2014
    Messages:
    318
    Likes Received:
    103
    You won't wanna fly your P3 using the 5C trust me... Not a pleasant experience due its lack of processing power....
     
  8. mad in nc

    Joined:
    Dec 16, 2014
    Messages:
    534
    Likes Received:
    214
    Location:
    North Carolina US
    iPhone 5s

    Supposedly it states.... dual processor required for GPS and Wifi